package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.model.admin.StatisiticSearchModel;
import com.lightinit.hsdataplatform.model.admin.StatisticModel;

import java.util.List;
import java.util.Map;

public interface IResourceService {

    List<String> getCatelogTypeIsTheme(StatisiticSearchModel inputModel);

    List<Map<String, Object>> getEveryThemeTotal(StatisiticSearchModel inputModel);

    List<String> getSectorList();

    List<Map<String,Object>> getEverySectorTotal(StatisiticSearchModel inputModel);

    List<StatisticModel> getThemeSortTotal(StatisiticSearchModel inputModel);

    List<StatisticModel> getSectorSortList(StatisiticSearchModel inputModel);
}
